https://www.google.com/search?q=magento+generate+sku

[What is SKU Number in Magento and How to Generate it?](https://belvg.com/blog/what-is-sku-number-in-magento-and-how-to-generate-it.html)

'''How to autogenerate SKU?
In order to auto-generate SKU, log in to the admin panel and navigate to

STORES -> Settings -> Configuration

Follow this path

CATALOG -> Catalog -> Product Fields Auto-Generation

To the “Mask for SKU” field that specifies the template according to which SKU will be formed:
'''
